> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/support-types.md).

# Support types

## GET /support-types/

> Support types list

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportTypes"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"SupportTypes":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/SupportType"},"type":"array"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"}}},"paths":{"/support-types/":{"get":{"operationId":"listSupportTypes","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportTypes"}}},"description":"Get successful"}},"summary":"Support types list","tags":["SupportTypes"]}}}}
````

## POST /support-types/

> Create a support type

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportTypes"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewSupportType":{"properties":{"name":{"description":"Display name of the support type","type":"string"},"remote_id":{"description":"The id of the support type in your system. It has to be unique.","type":"string"}},"required":["name"],"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"}}},"paths":{"/support-types/":{"post":{"operationId":"createSupportTypes","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewSupportType"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportType"}}},"description":"Create successful"}},"summary":"Create a support type","tags":["SupportTypes"]}}}}
````

## GET /support-types/{uid\_or\_remote\_id}/

> Read a support type

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportTypes"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"}}},"paths":{"/support-types/{uid_or_remote_id}/":{"get":{"operationId":"readSupportTypes","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportType"}}},"description":"Get successful"}},"summary":"Read a support type","tags":["SupportTypes"]}}}}
````

## DELETE /support-types/{uid\_or\_remote\_id}/

> Delete a support type

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportTypes"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/support-types/{uid_or_remote_id}/":{"delete":{"operationId":"deleteSupportTypes","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty body"}},"summary":"Delete a support type","tags":["SupportTypes"]}}}}
````
